<template>
  <div class="tc mt-20 mb-20">
    <img :src="src" alt="" width="200" height="200" />
  </div>
</template>

<script setup>
import { useQRCode } from "@vueuse/integrations/useQRCode";

defineOptions({
  name: "LayoutQrCode",
});
const props = defineProps({
  src: {
    type: String,
    required: true,
    default: "",
  },
});
const src = useQRCode(() => props.src, {
  width: 200,
  height: 200,
  margin: 1,
  correctLevel: "H",
});
</script>

<style scoped lang="scss"></style>
